Open CASCADE Technology  7.5.0.beta
Static Public Member Functions
DsgPrs_MidPointPresentation Class Reference

#include <DsgPrs_MidPointPresentation.hxx>

Static Public Member Functions

static void Add (const Handle< Prs3d_Presentation > &aPresentation, const Handle< Prs3d_Drawer > &aDrawer, const gp_Ax2 &theAxe, const gp_Pnt &MidPoint, const gp_Pnt &Position, const gp_Pnt &AttachPoint, const Standard_Boolean first)
 draws the representation of a MidPoint between two vertices. More...
 
static void Add (const Handle< Prs3d_Presentation > &aPresentation, const Handle< Prs3d_Drawer > &aDrawer, const gp_Ax2 &theAxe, const gp_Pnt &MidPoint, const gp_Pnt &Position, const gp_Pnt &AttachPoint, const gp_Pnt &Point1, const gp_Pnt &Point2, const Standard_Boolean first)
 draws the representation of a MidPoint between two lines or linear segments. More...
 
static void Add (const Handle< Prs3d_Presentation > &aPresentation, const Handle< Prs3d_Drawer > &aDrawer, const gp_Circ &aCircle, const gp_Pnt &MidPoint, const gp_Pnt &Position, const gp_Pnt &AttachPoint, const gp_Pnt &Point1, const gp_Pnt &Point2, const Standard_Boolean first)
 draws the representation of a MidPoint between two entire circles or two circular arcs. More...
 
static void Add (const Handle< Prs3d_Presentation > &aPresentation, const Handle< Prs3d_Drawer > &aDrawer, const gp_Elips &anElips, const gp_Pnt &MidPoint, const gp_Pnt &Position, const gp_Pnt &AttachPoint, const gp_Pnt &Point1, const gp_Pnt &Point2, const Standard_Boolean first)
 draws the representation of a MidPoint between two entire ellipses or two elliptic arcs. More...
 

Member Function Documentation

◆ Add() [1/4]

static void DsgPrs_MidPointPresentation::Add ( const Handle< Prs3d_Presentation > &  aPresentation,
const Handle< Prs3d_Drawer > &  aDrawer,
const gp_Ax2 theAxe,
const gp_Pnt MidPoint,
const gp_Pnt Position,
const gp_Pnt AttachPoint,
const Standard_Boolean  first 
)
static

draws the representation of a MidPoint between two vertices.

◆ Add() [2/4]

static void DsgPrs_MidPointPresentation::Add ( const Handle< Prs3d_Presentation > &  aPresentation,
const Handle< Prs3d_Drawer > &  aDrawer,
const gp_Ax2 theAxe,
const gp_Pnt MidPoint,
const gp_Pnt Position,
const gp_Pnt AttachPoint,
const gp_Pnt Point1,
const gp_Pnt Point2,
const Standard_Boolean  first 
)
static

draws the representation of a MidPoint between two lines or linear segments.

◆ Add() [3/4]

static void DsgPrs_MidPointPresentation::Add ( const Handle< Prs3d_Presentation > &  aPresentation,
const Handle< Prs3d_Drawer > &  aDrawer,
const gp_Circ aCircle,
const gp_Pnt MidPoint,
const gp_Pnt Position,
const gp_Pnt AttachPoint,
const gp_Pnt Point1,
const gp_Pnt Point2,
const Standard_Boolean  first 
)
static

draws the representation of a MidPoint between two entire circles or two circular arcs.

◆ Add() [4/4]

static void DsgPrs_MidPointPresentation::Add ( const Handle< Prs3d_Presentation > &  aPresentation,
const Handle< Prs3d_Drawer > &  aDrawer,
const gp_Elips anElips,
const gp_Pnt MidPoint,
const gp_Pnt Position,
const gp_Pnt AttachPoint,
const gp_Pnt Point1,
const gp_Pnt Point2,
const Standard_Boolean  first 
)
static

draws the representation of a MidPoint between two entire ellipses or two elliptic arcs.


The documentation for this class was generated from the following file: